Metadata-Version: 2.4
Name: cobre-bridge
Version: 0.5.0
Summary: Anything-to-Cobre converter
License: Apache-2.0
License-File: LICENSE
Requires-Python: >=3.12
Requires-Dist: inewave>=1.13.2
Requires-Dist: pandas>=3.0.2
Requires-Dist: plotly>=6.7.0
Requires-Dist: polars>=1.39.3
Requires-Dist: pyarrow>=23.0.1
Provides-Extra: dev
Requires-Dist: pytest-cov; extra == 'dev'
Requires-Dist: pytest>=9.0.3; extra == 'dev'
Requires-Dist: ruff; extra == 'dev'
Requires-Dist: ty>=0.0.32; extra == 'dev'
Provides-Extra: validation
Requires-Dist: cobre-python>=0.5.0; extra == 'validation'
Description-Content-Type: text/markdown

# cobre-bridge

Convert power system data formats to [Cobre](https://github.com/cobre-rs/cobre) input format.

## Installation

```bash
pip install cobre-bridge
```

## Usage

```bash
cobre-bridge convert newave <SRC_DIR> <DST_DIR>
```

## Development

```bash
pip install -e ".[dev]"
pytest
ruff check src/
```

## License

Apache-2.0
